package com.uas.cloud.oauth2.core;

import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.userdetails.User;

import java.io.Serializable;
import java.util.List;

/**
 * Created by Pro1 on 2017/3/23.
 */
public class SaltedUser extends User implements Serializable{

    private String salt;

    public SaltedUser(String username, String password,
                      boolean enabled,
                      boolean accountNonExpired, boolean credentialsNonExpired,
                      boolean accountNonLocked, List<GrantedAuthority>
                              authorities, String salt) {
        super(username, password, enabled,
                accountNonExpired, credentialsNonExpired,
                accountNonLocked, authorities);
        this.salt = salt;
    }

    public String getSalt() {
        return salt;
    }

    public void setSalt(String salt) {
        this.salt = salt;
    }

}
